Internal error on Admin/Settings without trackers

2012-07-20 11:34 - Thomas Pihl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

How to reproduce:

Start with empty db (db:migrate but do not load any default stuff)

login as admin

go to admin interface and select settings

Verified on debian/postgresql and in dev environ

Started GET "/settings" for 127.0.0.1 at 2012-07-20 11:29:31 +0200

Processing by SettingsController#index as HTML

   (0.5ms)  SELECT MAX("settings"."updated_on") AS max_id FROM "settings" 

  User Load (0.4ms)  SELECT "users".* FROM "users" WHERE "users"."type" IN ('User', 'AnonymousUser

') AND "users"."id" = $1 AND (users.status = 1) LIMIT 1  [["id", 1]]

  Setting Load (0.5ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'attachment_

max_size' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'per_page_op

tions' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'activity_da

ys_default' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'host_name' 

LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'protocol' L

IMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'cache_forma

tted_text' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'wiki_compre

ssion' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'feeds_limit

' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'file_max_si

ze_displayed' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'diff_max_li

nes_displayed' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'repositorie

s_encodings' LIMIT 1

  Rendered settings/_general.html.erb (42.0ms)

  Setting Load (0.5ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'default_lan

guage' LIMIT 1

  Setting Load (0.4ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'start_of_we

ek' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'user_format

' LIMIT 1

  Setting Load (0.4ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'gravatar_en

abled' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'gravatar_de

fault' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'thumbnails_

enabled' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'thumbnails_

size' LIMIT 1

  Rendered settings/_display.html.erb (10.1ms)
  Setting Load (0.4ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'unsubscribe

' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'password_mi

n_length' LIMIT 1

  Rendered settings/_authentication.html.erb (4.9ms)

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'default_pro

jects_public' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'default_pro

jects_modules' LIMIT 1

  Setting Load (0.4ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'sequential_

project_identifiers' LIMIT 1

  Role Load (0.3ms)  SELECT "roles".* FROM "roles" WHERE "roles"."builtin" = 0 ORDER BY roles.posi

tion ASC

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'new_project

_user_role_id' LIMIT 1

  Rendered settings/_projects.html.erb (8.3ms)

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'cross_proje

ct_issue_relations' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'issue_group

_assignment' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'default_iss

ue_start_date_to_creation_date' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'issue_done_

ratio' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'issues_expo

rt_limit' LIMIT 1

  Setting Load (0.3ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'gantt_items

_limit' LIMIT 1

  Setting Load (0.8ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'issue_list_

default_columns' LIMIT 1

  IssueCustomField Load (0.4ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE "custom_field

s"."type" IN ('IssueCustomField')

  Tracker Load (0.4ms)  SELECT "trackers".* FROM "trackers" ORDER BY position

  Rendered queries/_columns.html.erb (45.1ms)

  Rendered settings/_issues.html.erb (97.3ms)

  Rendered common/_tabs.html.erb (167.5ms)

  Rendered settings/edit.html.erb within layouts/admin (168.0ms)

Completed 500 Internal Server Error in 172ms

ActionView::Template::Error (undefined method `map' for nil:NilClass):

    4:       <%= label_tag "available_columns", l(:description_available_columns) %>

    5:       <br />

    6:       <%= select_tag 'available_columns',

    7:               options_for_select((query.available_columns - query.columns).collect {|column

| [column.caption, column.name]}),

    8:               :multiple => true, :size => 10, :style => "width:150px",

    9:               :ondblclick => "moveOptions(this.form.available_columns, this.form.selected_c

olumns);" %>

    10:     </td>

  app/models/query.rb:401:in `available_columns'

  app/views/queries/_columns.html.erb:7:in `_app_views_queries__columns_html_erb__1593462953669876

080_52525080'

  app/views/settings/_issues.html.erb:25:in `block in _app_views_settings__issues_html_erb___15888

04021434571264_54177160'

  app/views/settings/_issues.html.erb:1:in `_app_views_settings__issues_html_erb___158880402143457

1264_54177160'

  app/views/common/_tabs.html.erb:24:in `block in _app_views_common__tabs_html_erb__22899164769590

01246_70141822149460'

  app/views/common/_tabs.html.erb:23:in `each'

  app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb__2289916476959001246_701

41822149460'

  app/helpers/application_helper.rb:238:in `render_tabs'

  app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___629126818868371524_70

141823261220'

  app/controllers/settings_controller.rb:26:in `index'

2025-05-17 2/3



Associated revisions

Revision 10067 - 2012-07-21 17:43 - Jean-Philippe Lang

Fixed that settings raises an error if not trackers exist (#11467).

History

#1 - 2012-07-21 17:45 - Jean-Philippe Lang

- Subject changed from Empty/newly setup redmine database without any trackers will give internal error when Admin/Settings are selected to Internal

error on Admin/Settings without trackers

- Category set to Administration

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r10067, thanks. Stable version not affected.
